Skip to main content
GET
Get addresses

Authorizations

x-api-key
string
header
required

Query Parameters

userId
string

Id of the user for which you want to get the list of crypto addresses.

Example:

"66290ac8bd3903485989f82e"

address
string

If the address is known, it can be used to obtain it.

Example:

"0x32Be343B94f860124dC4fEe278FDCBD38C102D88"

asset
enum<string>

Only return addresses for this asset.

Available options:
USDC,
USDCe,
EURC,
USDT
network
enum<string>

Only return addresses on this network.

Available options:
ethereum,
polygon,
solana,
stellar,
base,
tempo,
tron,
bsc
page
integer

Used to specify the current page you want to get in the paging results.

limit
integer

Used to specify the maximum number of records to be returned on a single page.

Response

OK

createdAt
string

The date and time when the address was created.

Example:

"2024-07-25T19:57:09.812Z"

userId
string

Id of the user.

Example:

"66562bc04fe8bf83c577c178"

asset
enum<string>

Stablecoin held at this address.

Available options:
USDC,
USDCe,
EURC,
USDT
Example:

"USDC"

network
enum<string>

Network the address is on. One address record covers one asset on one network.

Available options:
ethereum,
polygon,
solana,
stellar,
base,
tempo,
tron,
bsc
Example:

"solana"

address
string

Crypto address.

Example:

"0x32Be343B94f860124dC4fEe278FDCBD38C102D88"

memo
string

The memo for the blockchain transaction (USDC Stellar addresses only). Please check if your wallet requires a memo for deposits. If so, please include the memo in the transaction. Failure to include the memo will result in the payment not being credited to your order and your funds may be permanently lost.

Example:

"1234567890"

approved
boolean

Indicates if the address has been approved.

Example:

true

lastChecked
string

The date and time when the address was last verified.

Example:

"2024-05-28T19:58:39.617Z"

label
string

Label of the address.

Example:

"Crypto Address"

advancedVerificationStatus
enum<string>

Advanced verification status.

Available options:
initiated,
sent,
passed,
cancelled
id
string

Id of the address.

Example:

"6656376f778ff28dd1c41c50"